Variant Value Listing
Manage variant attribute value listings and their sales-channel assignments, including creating, retrieving, updating, partially updating, and deleting listings.
Listings für Variantenattributwerte
an identifier
successful operation
Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Resource with given ID was not found
GET /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"variantValueRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}an identifier
Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
successful operation
Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Resource was not found
Resource was not valid to process
PUT /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 477
{
"version": "text",
"info": {},
"id": "text",
"variantValueRef": {
"id": "text"
},
"salesChannelRef": {
"id": "text"
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"variantValueRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
successful operation
Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Resource was not valid to process
POST /erp/variant/value-listing HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 477
{
"version": "text",
"info": {},
"id": "text",
"variantValueRef": {
"id": "text"
},
"salesChannelRef": {
"id": "text"
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"variantValueRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Listing-ID
Search-Dialog
OK
Variantenattributwert-Listing
Version Identifier for this Object (for PUT)
Unique identifier of the Object
PATCH /erp/variant/value-listing/{listingId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"variantValueRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Last updated
Was this helpful?